<with-types fixed-key="resource-[[this]]" iri="[[this]]" template="{{> resource}}" [[> rsp:TypeMappings]]>
  <template id="resource">
      <div style="width: 100%;">
          [[#block "resourceHeader"]]
          [[!-- Entity Header --]]
          <div class="container-fluid rs-resource-header" style="padding: 0px; background-color: ">
              [[!-- Header content with image (if available) and resource primary informations --]]
              <div>
                  <bs-row class="row-center" style="padding:32px 0px 8px 0px;">
                      <bs-col lg="8" sm="10" style="padding: 0px;" xs="9">
                          <div class="row" style="height:100%;">
                              <div class="col-xs-12 col-sm-6 rs-resource-header--image-container">
                                  [[!-- do not show entity media icon for image regions --]]
                                  <!-- <div class="rs-resource-img__btngroup">
                                      {{#if (hasKey allTypes "http://www.researchspace.org/ontology/EX_Digital_Image_Region")}}
                                      {{else}}
                                      <mp-overlay-dialog title="Entity Media" type="modal" class="modal-xlSize">
                                          <mp-overlay-dialog-trigger>
                                              <button type="button" class="rs-resource-img__btn" title="Explore Media">
                                                  <i class="rs-icon rs-icon-expand_media"></i>
                                              </button>
                                          </mp-overlay-dialog-trigger>
                                          <mp-overlay-dialog-content>
                                              <mp-page-loader urlqueryparam-frame=true iri="http://www.researchspace.org/resource/ItemCardMedia" context="[[this]]">
                                              </mp-page-loader>
                                          </mp-overlay-dialog-content>
                                      </mp-overlay-dialog>
                                      {{/if}}
                                  </div> -->
                                  [[#block "imageContent"]]
                                  <rs-object-representations no-image-template="{{> noImage}}" query='PREFIX xsd: <http://www.w3.org/2001/XMLSchema#>
                                      PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
                                      PREFIX crmdig: <http://www.ics.forth.gr/isl/CRMdig/>
                                      PREFIX rso: <http://www.researchspace.org/ontology/>
                                      PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>
                                      PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
                                      SELECT DISTINCT ?label ?imgURL ?isMainRep WHERE {
                                        OPTIONAL {
                                          {
                                            <[[this]]> rdf:type ?type.
                                            FILTER(?type != rso:EX_Digital_Image)
                                            ?representationProp (rdfs:subPropertyOf*) crm:P138_represents.
                                            ?representation ?representationProp <[[this]]>.
                                            OPTIONAL {
                                              <[[this]]> ?representationProp ?representation.
                                              ?representation rdf:type rso:EX_Digital_Image;
                                                (crm:P1_is_identified_by/rso:PX_has_file_name) ?fileName.
                                              BIND(CONCAT("/proxy/IIIF/iiif/2/", ?fileName, "/full/!640,480/0/default.jpg") AS ?uploadIiifUrl)
                                            }
                                            OPTIONAL {
                                              ?representation ?representationProp <[[this]]> ;
                                              rdf:type rso:EX_Digital_Image.
                                              BIND(REPLACE(STR(?representation), "^.*/(.*)$", "$1") AS ?imageID)
                                              BIND(?imageID AS ?imgIiifId)
                                              BIND(CONCAT("/proxy/IIIF/iiif/2/", ?imageID, "/full/!640,480/0/default.jpg") AS ?iiifUrl)
                                            }
                                            OPTIONAL {
                                              ?representation crm:P138_represents <[[this]]> ;
                                              rdf:type rso:EX_Digital_Image_Region ;
                                              crmdig:L49_is_primary_area_of ?image .
                                              ?image (crm:P1_is_identified_by/rso:PX_has_file_name) ?fileName.
                                              ?representation rso:boundingBox ?bb.
                                              BIND(STRAFTER(?bb, "xywh=") AS ?boundingBox)
                                              BIND(CONCAT("/proxy/IIIF/iiif/2/", ?fileName, "/", ?boundingBox, "/!640,480/0/default.jpg") AS ?uploadIiifRegionUrl)
                                            }
                                            OPTIONAL {
                                              ?representation crm:P138_represents <[[this]]> ;
                                                rdf:type rso:EX_Digital_Image_Region ;
                                                crmdig:L49_is_primary_area_of ?image;
                                                rso:boundingBox ?bb.
                                              BIND(STRAFTER(?bb, "xywh=") AS ?boundingBox)
                                              BIND(REPLACE(STR(?image), "^.*/(.*)$", "$1") AS ?imageID)
                                              BIND(CONCAT("/proxy/IIIF/iiif/2/", ?imageID, "/", ?boundingBox, "/!640,480/0/default.jpg") AS ?iiifRegionUrl)
                                            }
                                            BIND(COALESCE(?uploadIiifUrl, ?iiifUrl, ?uploadIiifRegionUrl, ?iiifRegionUrl, ?representation) AS ?imgURLx)
                                            BIND(IF(EXISTS { <[[this]]> rso:PX_has_main_representation ?representation. }, "true"^^xsd:boolean, "false"^^xsd:boolean) AS ?isMainRepx)
                                          }
                                          UNION
                                          {
                                            <[[this]]> rdf:type rso:EX_Digital_Image.
                                            OPTIONAL {
                                              <[[this]]> rdf:type rso:EX_Digital_Image;
                                                (crm:P1_is_identified_by/rso:PX_has_file_name) ?fileName.
                                              BIND(CONCAT("/proxy/IIIF/iiif/2/", ?fileName, "/full/!640,480/0/default.jpg") AS ?uploadIiifUrl)
                                            }
                                            OPTIONAL {
                                              <[[this]]> rdf:type rso:EX_Digital_Image.
                                              BIND(REPLACE(STR(<[[this]]>), "^.*/(.*)$", "$1") AS ?imageID)
                                              BIND(CONCAT("/proxy/IIIF/iiif/2/", ?imageID, "/full/!640,480/0/default.jpg") AS ?iiifUrl)
                                            }
                                            BIND(COALESCE(?uploadIiifUrl, ?iiifUrl, <[[this]]>) AS ?imgURLx)
                                            BIND("true"^^xsd:boolean AS ?isMainRepy)
                                          }
                                        }
                                        BIND(?imgURLx AS ?imgURL)
                                        BIND(COALESCE(?isMainRepx, ?isMainRepy) AS ?isMainRep)
                                      }
                                      ORDER BY (?imgURL)'>
                                          <template id="noImage">
                                              <!-- THERE IS NO IMAGE IN THE DATA. SO, WE ASK FIRST, IS THIS A GEOCOORDINATE -->
                                              <semantic-if query="ASK { 
                                                  <[[this]]> a crm:E53_Place ;
                                                  crm:P168_place_is_defined_by ?coordinates .
                                              }">
                                                  <template id="then">
                                                      <!-- ITS A GEOCOORDINATE, SO WE PRESENT A MAP -->
                                                      <div class="object-representations__semantic-map-container">
                                                          <semantic-map id="semantic-search-result-map" query="SELECT DISTINCT ?wkt WHERE {
                                                              <[[this]]> rdfs:label ?label ; crm:P168_place_is_defined_by ?wkt  }" 
                                                              tuple-template="\{{label.value}}">
                                                          </semantic-map>
                                                      </div>
                                                  </template>

                                                  <template id="else">
                                                      <!-- NOT A GEOCOORDINATE, SO WE ASK IF THERE IS A CONNECTED WIKIDATA IMAGE-->
                                                      <semantic-if query="PREFIX wdt: <http://www.wikidata.org/prop/direct/>
                                                      PREFIX owl: <http://www.w3.org/2002/07/owl#>
                                                      ASK {           
                                                          {
                                                              { <[[this]]> owl:sameAs ?sameAs } UNION
                                                              { ?sameAs owl:sameAs <[[this]]> }
                                                          }

                                                          SERVICE <https://query.wikidata.org/bigdata/namespace/wdq/sparql> {
                                                                  SELECT * where {
                                                                      {
                                                                          ?sameAs wdt:P18 ?imgURL .
                                                                      } UNION {
                                                                          <[[this]]> wdt:P18 ?imgURL .
                                                                      }      
                                                                  }      
                                                          }                    
                                                      }">
                                                          <template id="then">
                                                              <semantic-query query='PREFIX wdt: <http://www.wikidata.org/prop/direct/>
                                                              PREFIX owl: <http://www.w3.org/2002/07/owl#>
                                                              SELECT ?imgURL ?imgMetadata WHERE {           
                                                                      { <[[this]]> owl:sameAs ?sameAs } UNION
                                                                      { ?sameAs owl:sameAs <[[this]]> }
                                                                  
                                                                  SERVICE <https://query.wikidata.org/bigdata/namespace/wdq/sparql> {
                                                                          SELECT * where {
                                                                              {
                                                                                  ?sameAs wdt:P18 ?imgURL .
                                                                              } UNION {
                                                                                  <[[this]]> wdt:P18 ?imgURL .
                                                                              }      
                                                                          }      
                                                                  }
                                                                  BIND(iri(replace(str(?imgURL), ".*[/]", "https://commons.wikimedia.org/wiki/File:")) as ?imgMetadata)
                                                                  
                                                              }' template="{{> wikiImage}}">
                                                                  <template id="wikiImage">
                                                                      <a class='image-attribution' href="{{bindings.0.imgMetadata.value}}" target="_blank">
                                                                          <img src="/assets/images/wikidata.png">
                                                                          <span style='align-content: center;'>Wikidata</span>
                                                                      </a>
                                                                      <img src="{{bindings.0.imgURL.value}}" title="{{bindings.0.imgURL.value}}" width="60%">
                                                                  </template>
                                                              </semantic-query>
                                                          </template>
                                                          <template id="else">
                                                              <!-- THERE IS NO WIKIDATA IMAGE, SO LET'S DISPLAY NO IMAGE ICON-->
                                                              <div class="object-representations__image--focused object-representations__image--default-cursor">
                                                                  <span class="rs-icon {{getValueByKey LINCStypeToImage allTypes 'lincs-rs-icon-default-no-img'}} {{getValueByKey entityIconColor allTypes 'rs-icon-entity_no-image'}}"></span>
                                                              </div>
                                                          </template>
                                                          
                                                      </semantic-if>
                                                  </template>
                                              </semantic-if>
                                          </template>                                   
                                      </rs-object-representations>
                                  [[/block]]
                              </div>
                              <div class="col-xs-6" style="padding: 1.8% 1.5% 1.5% 5%;">
                                  [[> resourceHeaderData image=true]]
                              </div>
                          </div>
                              <!--  close row -->
                      </bs-col>
                  </bs-row>
              </div>
          [[/block]]
          [[!--
          <mp-field-visualization fields='[[fieldDefinitionsFromQuery (setQueryBindings "SELECT DISTINCT ?field WHERE {?resource ?field ?o . ?field a <http://www.researchspace.org/resource/system/fields/Field> } ORDER BY DESC(?field)" resource=this.iri) ]]' subject="[[this]]" template="{{> template}}">
          <template id="template">
          {{> rsp:ResourceFieldBasedVisualization subject="[[this]]"}}
          </template>
          </mp-field-visualization>
          --]]
          [[!-- Tabs: Summary, raw data, Images, Annotation, Assertion, Related resources --]]
      
      
          
          <div class="container-fluid px-0">
              <bs-tab-container class="rs-resource-tabs" default-active-key="summary" id="tab-container">
                  <div>
                      <bs-nav bs-style="tabs">
                          <bs-nav-item event-key="summary">
                              <span style="overflow: hidden; display: block">
                              [[i18n "summary" bundle="languages/resource_resourcecontent" locale=this.lang]]
                              </span>
                          </bs-nav-item>
                          <bs-nav-item event-key="outgoing-data">
                              <span style="overflow: hidden; display: block">
                              [[i18n "outgoing_statements" bundle="languages/resource_resourcecontent" locale=this.lang]]
                              </span>
                              <span style="display: flex; justify-content: center">
                              [[i18n "entity_as" bundle="languages/resource_resourcecontent" locale=this.lang]]
                              </span>
                          </bs-nav-item>
                          <bs-nav-item event-key="incoming-data">
                              <span style="overflow: hidden; display: block">
                              [[i18n "incoming_statements" bundle="languages/resource_resourcecontent" locale=this.lang]]
                              </span>
                              <span style="display: flex; justify-content: center">
                              [[i18n "entity_as_1" bundle="languages/resource_resourcecontent" locale=this.lang]]
                              </span>
                          </bs-nav-item>

                          <!-- [[#if (hasPermission "forms:ldp:*")]]
                                                  <bs-nav-item event-key="related" disabled=true>Explore Related</bs-nav-item>
                                                  [[/if]] -->
                      </bs-nav>
                      
                      <bs-tab-content animation="true">
                          <bs-tab-pane event-key="summary">
                              <div class="summary-container">         
                                  <div class="container-fluid justify-left">                                  

                                      <div class="row-group">
                                        <bs-row style="padding-bottom: 25px;">
                                              <!-- LABELS -->
                                              <bs-col xs="6" class="justify-left">
                                                  <bs-row class="vertical-gutter">
                                                      <bs-col xs="12">
                                                          <div class="summary-label">
                                                              labels
                                                          </div>
                                                      </bs-col>
                                                  </bs-row>
                                                  <semantic-query query="PREFIX skos: <http://www.w3.org/2004/02/skos/core#>
                                                      PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
                                                      PREFIX crm: <http://www.cidoc-crm.org/cidoc-crm/>
                                                      SELECT DISTINCT ?label WHERE { 

                                                        {graph ?graph {
                                                            { <[[this]]> (rdfs:label|skos:altLabel|skos:prefLabel) ?labelx. 
                                                          BIND(str(?labelx) as ?label)
                                                          }
                                                        UNION
                                                        {
                                                          <[[this]]> crm:P1_is_identified_by ?id.
                                                          ?id crm:P190_has_symbolic_content ?labelx ;
                                                          BIND(str(?labelx) as ?label)
                                                        }
                                                        }
                                                        }} ORDER BY ?label" template="{{> results}}">
                                                      <template id="results">
                                                          {{#each bindings}}
                                                          <bs-row class="vertical-gutter">
                                                              <bs-col xs="12"><div>{{label.value}}</div></bs-col>
                                                          </bs-row>
                                                          {{/each}}
                                                      </template>
                                                  </semantic-query>
                                              </bs-col>
                                        </bs-row>     
                                        <bs-row style="padding-bottom: 25px;">
                                                              <!-- Subject -->
                                                <semantic-query query='SELECT ?subject where {  
                                                        ?subject crm:P4_has_time-span <[[this]]>
                                                }' template="{{> results}}">
                                                    <template id="results">
                                                        <div>
                                                            <bs-row class="vertical-gutter">
                                                                <bs-col xs="12">
                                                                    <div data-flex-layout="row" style="padding-top: 20px; padding-bottom: 20px;">
                                                                        <div class="summary-label-holder">
                                                                            <div class="summary-label">Subject</div>
                                                                        </div>
                                                                        <bs-col xs="12">
                                                                            <semantic-link-container uri='bindings.0.subject.value}}'>
                                                                                <a class="summary-link"><mp-label iri='{{bindings.0.subject.value}}'></mp-label></a>
                                                                            </semantic-link-container>
                                                                        </bs-col>
                                                                    </div>
                                                                </bs-col>
                                                            </bs-row>           
                                                            
                                                        </div>
                                                    </template>
    
                                                </semantic-query> 
                                            </bs-row>        
                                        </bs-row>                                          
                                        <bs-row style="padding-bottom: 25px;">
                                            <!-- Time -->
                                            <semantic-query query='SELECT ?begin ?end ?within where {  
                                                OPTIONAL {<[[this]]> crm:P82a_begin_of_the_begin ?begin}.
                                                OPTIONAL {<[[this]]> crm:P82b_end_of_the_end ?end}.
                                                OPTIONAL {<[[this]]> crm:P82_at_some_time_within ?within}.
                                        }' template="{{> results}}">
                                                <template id="results">
                                                    <div>
                                                        {{#if bindings.0.begin}}
                                                        <bs-row class="vertical-gutter">
                                                            <bs-col xs="12">
                                                                <div data-flex-layout="row" style="padding-top: 20px; padding-bottom: 20px;">
                                                                    <div class="summary-label-holder">
                                                                        <div class="summary-label">Time Period Begins</div>
                                                                    </div>
                                                                    <bs-col xs="12">
                                                                        {{bindings.0.begin.value}}
                                                                    </bs-col>
                                                                </div>
                                                            </bs-col>
                                                        </bs-row>           
                                                        {{/if}}
                                                        {{#if bindings.0.end}}
                                                        <bs-row class="vertical-gutter">
                                                            <bs-col xs="12">
                                                                <div data-flex-layout="row">
                                                                    <div class="summary-label-holder">
                                                                        <div class="summary-label">Time Period Ends</div>
                                                                    </div>
                                                                    <bs-col xs="12">
                                                                        {{bindings.0.end.value}}
                                                                    </bs-col>
                                                                </div>
                                                            </bs-col>
                                                        </bs-row>           
                                                        {{/if}}
                                                        {{#if bindings.0.within}}
                                                        <bs-row class="vertical-gutter">
                                                            <bs-col xs="12">
                                                                <div data-flex-layout="row" style="padding-top: 20px; padding-bottom: 20px;">
                                                                    <div class="summary-label-holder">
                                                                        <div class="summary-label">Time Period Within</div>
                                                                    </div>
                                                                    <bs-col xs="12">
                                                                        {{bindings.0.within.value}}
                                                                    </bs-col>
                                                                </div>
                                                            </bs-col>
                                                        </bs-row>           
                                                        {{/if}}
                                                    </div>
                                                </template>
                                            </semantic-query>
                                        </bs-row>            
                                      </div>
                                    </div>
                              </div> <!-- END OF SUMMARY CONTAINER -->
                          </bs-tab-pane>
                          <bs-tab-pane event-key="outgoing-data">
                              <div class="rs-resource-summary-section">
                                  <bs-row class="row-center">
                                      <bs-col lg="2" md="3" sm="3" xs="5"></bs-col>
                                      <bs-col class="rs-summary-table" lg="8" md="10" sm="10" xs="9">
                                      <semantic-table column-configuration='[
                                                                                  {"variableName":"property", "displayName":"Property", "cellTemplate":"{{> in-property}}"},
                                                                                  {"variableName":"property", "displayName":"Value", "cellTemplate":"{{> in-value}}"}                               
                                                                              ]' no-result-template="There are no incoming statements" options='{
                                                                                  "resultsPerPage":10,
                                                                                  "filterPlaceholderText":"Filter Results by Property"
                                                                              }' query="
                                                                                  SELECT DISTINCT ?property WHERE { 
                                                                                      <[[this]]> ?property ?value .
                                                                                  }
                                                                              " show-literal-datatype="true">
                                          <template id="in-property">
                                          {{#if (isIri property)}}
                                                  <semantic-link-container uri='{{property.value}}' >
                                                      <a title="{{property.value}}"><mp-label iri="{{property.value}}"></mp-label></a>
                                                  </semantic-link-container>
                                          {{else}}
                                              <span>
                                              {{property.value}}
                                              </span>
                                          {{/if}}
                                          </template>
                                          <template id="in-value">
                                          <semantic-query query="
                                              SELECT distinct ?value (GROUP_CONCAT(?types) as ?type) WHERE { 
                                                  <[[this]]> <{{property.value}}> ?value .

                                                  OPTIONAL {
                                                      ?value a ?types .
                                                  }
                                          } GROUP BY ?value" template="{{> value-results}}">
                                          <template id="value-results">
                                          <div class="table-item-list">
                                              {{#each bindings}}
                                                                                              {{#if (isIri value)}}
                                                                                              {{#if type}}
                                              <semantic-link-container uri='{{value.value}}' >
                                              <a class="table-item" title="{{value.value}}">
                                              <mp-label iri="{{value.value}}">
                                              </mp-label>
                                              </a>
                                              </semantic-link-container>
                                              {{else}}
                                              <a class="table-item" href="{{value.value}}"  title="{{value.value}}">
                                              <mp-label iri="{{value.value}}">
                                              </mp-label>
                                              </a>
                                              {{/if}}
                                                                                              {{else}}
                                              <span class="table-item">
                                              {{value.value}}
                                              </span>
                                              {{/if}}
                                                                                              {{/each}}
                                          </div>
                                          </template>
                                          </semantic-query>
                                          </template>
                                      </semantic-table>
                                      </bs-col>
                                      <bs-col lg="2" md="3" sm="3" xs="5">
                                          <mp-overlay-dialog title="View Statement Sources" type="modal" bs-size="large">
                                              <mp-overlay-dialog-trigger><button class="rs-authoring-btn source-statements-button-wrapper">View Statement Sources</button></mp-overlay-dialog-trigger>
                                              <mp-overlay-dialog-content>
                                                  [[>  Platform:SourceStatements]]
                                              </mp-overlay-dialog-content>
                                          </mp-overlay-dialog>                            
                                      </bs-col>
                                  </bs-row>
                              </div>
                          </bs-tab-pane>
                          <bs-tab-pane event-key="incoming-data">
                              <div class="rs-resource-summary-section">
                                  <bs-row class="row-center">
                                      <bs-col lg="2" md="3" sm="3" xs="5"></bs-col>
                                      <bs-col class="rs-summary-table" lg="8" md="10" sm="10" xs="9">
                                          <semantic-table column-configuration='[
                                                                          {"variableName":"property", "displayName":"Subject", "cellTemplate":"{{> out-subject}}"}, 
                                                                          {"variableName":"property", "displayName":"Property", "cellTemplate":"{{> out-property}}"}                              
                                                                      ]' no-result-template="There are no incoming statements" options='{
                                                                          "resultsPerPage":10,
                                                                          "filterPlaceholderText":"Filter Results by Property"
                                                                      }' query='
                                                                          SELECT DISTINCT ?property WHERE { 
                                                                              ?subject ?property <[[this]]> .
                                                                              FILTER(!contains(str(?property), "http://www.researchspace.org/resource/system/"))
                                                                              FILTER(!contains(str(?property), "http://ontodia.org/schema/v1#resource"))
                                                                          }
                                          ' show-literal-datatype="true">
                                              <template id="out-subject">
                                                  <semantic-query query="
                                                      SELECT ?subject (GROUP_CONCAT(?types) as ?type) WHERE { 
                                                          ?subject <{{property.value}}> <[[this]]> .

                                                          OPTIONAL {
                                                              ?subject a ?types .
                                                          }
                                                      } GROUP BY ?subject
                                                  " template="{{> subject-results}}"
                                                  >
                                                      <template id="subject-results">
                                                          <div class="table-item-list">
                                                              {{#each bindings}}
                                                                  {{#if (isIri subject)}}
                                                                      {{#if type}}
                                                                          <semantic-link-container uri='{{subject.value}}'>
                                                                              <a class="table-item" title="{{subject.value}}"><mp-label iri="{{subject.value}}"></mp-label></a>
                                                                          </semantic-link-container>
                                                                      {{else}}
                                                                          <a class="table-item" href="{{subject.value}}"  title="{{subject.value}}"><mp-label iri="{{subject.value}}"></mp-label></a>
                                                                      {{/if}}
                                                                  {{else}}
                                                                      <span class="table-item">{{subject.value}}</span>
                                                                  {{/if}}
                                                              {{/each}}
                                                          </div>
                                                      </template>
                                                  </semantic-query>
                                              </template>
                                              <template id="out-property">
                                                  {{#if (isIri property)}}
                                                      <semantic-link-container uri='{{property.value}}'>
                                                          <a title="{{property.value}}"><mp-label iri="{{property.value}}"></mp-label></a>
                                                      </semantic-link-container>
                                                  {{else}}
                                                      <span>{{property.value}}</span>
                                                  {{/if}}
                                              </template>
                                          </semantic-table>
                                      </bs-col>
                                      <bs-col lg="2" md="3" sm="3" xs="5">
                                          <mp-overlay-dialog title="View Statement Sources" type="modal" bs-size="large">
                                              <mp-overlay-dialog-trigger><button class="rs-authoring-btn source-statements-button-wrapper">View Statement Sources</button></mp-overlay-dialog-trigger>
                                              <mp-overlay-dialog-content>
                                                  [[>  Platform:SourceStatements]]
                                              </mp-overlay-dialog-content>
                                          </mp-overlay-dialog>                    
                                      </bs-col>
                                  </bs-row>
                              </div>
                          </bs-tab-pane>
                          

                          
                          [[#if (hasPermission "forms:ldp:*")]]
                          <bs-tab-pane event-key="related">
                              <div class="container-fluid rs-resource-summary-section">
                              <bs-row>
                              <bs-col lg="8" md="7" style="position: relative; padding: 0;" xs="9">
                              <hr class="rs-resource-section--headerLine"/>
                              <span class="rs-h1 rs-resource-section--header">
                                  [[i18n "resources" bundle="languages/resource_resourcecontent" locale=this.lang]]
                              </span>
                              </bs-col>
                              <bs-col lg="2" md="3" xs="3">
                              <input class="rs-searchInput rs-body-s-M" placeholder="Search in related data ..." type="text"/>
                              </bs-col>
                              </bs-row>
                              <!--  close row -->
                              <bs-row class="row-center">
                              <bs-col lg="10" md="11" sm="11" xs="9">
                              [[#block "relatedResources"]]
                                                                  [[/block]]
                              </bs-col>
                              </bs-row>
                              <!--  close row -->
                              </div>
                              <!--  close container -->
                              <div class="container-fluid rs-resource-summary-section rs-background-p10">
                              <bs-row>
                              <bs-col style="padding: 0;" xs="12">
                              <hr class="rs-resource-section--headerLine"/>
                              <span class="rs-h1 rs-resource-section--header">
                                  [[i18n "pages" bundle="languages/resource_resourcecontent" locale=this.lang]]
                              </span>
                              </bs-col>
                              </bs-row>
                              <!--  close row -->
                              <bs-row class="row-center">
                              <bs-col class="rs-summary-table" lg="8" md="10" sm="10" xs="9">
                              <div class="table-responsive rs-table">
                                  <table class="table table-hover">
                                  <thead>
                                  <tr>
                                  <th scope="col">
                                      [[i18n "modified" bundle="languages/resource_resourcecontent" locale=this.lang]]
                                  </th>
                                  <th scope="col">
                                      [[i18n "page_type" bundle="languages/resource_resourcecontent" locale=this.lang]]
                                  </th>
                                  <th scope="col">
                                      [[i18n "link" bundle="languages/resource_resourcecontent" locale=this.lang]]
                                  </th>
                                  </tr>
                                  </thead>
                                  <tbody>
                                  <tr>
                                  <td>
                                      12.12.2018
                                  </td>
                                  <td>
                                      [[i18n "narrative" bundle="languages/resource_resourcecontent" locale=this.lang]]
                                  </td>
                                  <td>
                                      <a>
                                      [[i18n "page_link" bundle="languages/resource_resourcecontent" locale=this.lang]]
                                      </a>
                                  </td>
                                  </tr>
                                  <tr>
                                  <td>
                                      12.12.2018
                                  </td>
                                  <td>
                                      [[i18n "narrative" bundle="languages/resource_resourcecontent" locale=this.lang]]
                                  </td>
                                  <td>
                                      <a>
                                      [[i18n "page_link" bundle="languages/resource_resourcecontent" locale=this.lang]]
                                      </a>
                                  </td>
                                  </tr>
                                  <tr>
                                  <td>
                                      12.12.2018
                                  </td>
                                  <td>
                                      [[i18n "narrative" bundle="languages/resource_resourcecontent" locale=this.lang]]
                                  </td>
                                  <td>
                                      <a>
                                      [[i18n "page_link" bundle="languages/resource_resourcecontent" locale=this.lang]]
                                      </a>
                                  </td>
                                  </tr>
                                  </tbody>
                                  </table>
                              </div>
                              </bs-col>
                              </bs-row>
                              <!--  close row -->
                              <div class="rs-resource-section-showall">
                              <button class="rs-button rs-button-icon-M--dark" type="button">
                              <i class="rs-icon rs-icon-chevron_down">
                              </i>
                              </button>
                              <span class="rs-body-xs-I" style="margin-left:8px;">
                              [[i18n "show_all" bundle="languages/resource_resourcecontent" locale=this.lang]]
                              </span>
                              </div>
                              </div>
                              <!--  close container -->
                              <div class="container-fluid rs-resource-summary-section rs-background-p10">
                              <bs-row>
                              <bs-col style="padding: 0;" xs="12">
                              <hr class="rs-resource-section--headerLine"/>
                              <span class="rs-h1 rs-resource-section--header">
                                  [[i18n "wikidata" bundle="languages/resource_resourcecontent" locale=this.lang]]
                              </span>
                              </bs-col>
                              </bs-row>
                              <!--  close row -->
                              [[#block "relatedWikidata"]]
                                                          [[/block]]
                              </div>
                              <!--  close container -->
                          </bs-tab-pane>
                          [[/if]]
                      </bs-tab-content>
                  </div>
              </bs-tab-container>
              
              

            
                
          </div>
      </div>
  </template>
</with-types>
[[#*inline "resourceHeaderData"]]
[[#block "headerData"]]
<!-- ENTITY LABEL-->
<div class="rs-resource-header--singletitle">
  <div class="rs-display3 rs-resource-header--title" style="text-transform: capitalize;">
      <mp-label iri="[[this]]">
      </mp-label>
  </div>
  <prod-hide>
      <semantic-if query="ASK WHERE {
          graph <http://permissions.lincsproject.ca> {
              ?user crm:P1_is_identified_by ?__useruri__ .
              ?graph lincs:permits ?user .
          }
          {
              SELECT DISTINCT ?graph WHERE { graph ?graph {
                  <[[this]]> a ?type .
              }}
          }
      }">
          <template id="then">
              <semantic-link-container uri='[[resolvePrefix "rsp:ThinkingFrames"]]' urlqueryparam-resource="[[this]]" urlqueryparam-view="entity-editor" >
                  <a class="agregation-edit-entity">
                      <p class="agregation-edit-entity-text">
                          [[i18n "edit_this" bundle="languages/resource_resourcecontent" locale=this.lang]]
                      </p>
                      <i class="fa fa-pencil agregation-edit-entity-icon"></i>
                  </a>
              </semantic-link-container>
          </template>
      </semantic-if>
  </prod-hide>
</div>
<div class="agregation-info-row">
  <semantic-query query="SELECT (<[[this]]> as ?iri) ?type {
              <[[this]]> a ?type .
          }" template="{{> typeTemplate}}">
      <template id="typeTemplate">
          <div class="row rs-body-m-M agregation-info" style="margin-bottom:16px;">
              <p class="agregation-info-text agregation-info-text-header">
                  [[i18n "type_s" bundle="languages/resource_resourcecontent" locale=this.lang]]
              </p>
              {{#each bindings}}
              <semantic-link-container uri='{{type.value}}' >
                  <a class="agregation-info-text detail-label" title="{{type.value}}">
                      <mp-label iri="{{type.value}}"></mp-label>
                  </a>
              </semantic-link-container>
              {{/each}}
          </div>
      </template>
  </semantic-query>
  
  
</div>
<div class="agregation-info-subcontainer">
<semantic-query query="PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>
      PREFIX lincs: <http://id.lincsproject.ca/>
      SELECT distinct ?graph WHERE { 
          GRAPH ?graph { <[[this]]> a ?type . }
      }" template="{{> graphs}}">
<template id="graphs">
 {{#each bindings}}
 <semantic-query query="SELECT distinct ?disclaimer where { 
                                          graph <http://metadata.lincsproject.ca> {
                                              ?subject crmdig:L43_annotates <{{graph.value}}> ;
                                              crm:P2_has_type <http://id.lincsproject.ca/entityAnnotation> ;
                                              crm:P190_has_symbolic_content ?disclaimer .
                                          }}" template="{{> disclaimerTemplate}}">
  <template id="disclaimerTemplate">
   {{#each bindings}}
   <div class="resource-identifier-container">
    <p class="agregation-info-text agregation-info-text-header">
     [[i18n "disclaimer" bundle="languages/resource_resourcecontent" locale=this.lang]]
    </p>
    <p class="agregation-info-text">
     {{disclaimer.value}}
    </p>
   </div>
   {{/each}}
  </template>
 </semantic-query>
 {{/each}}
</template>
</semantic-query>
<div class="resource-identifier-container">
<p class="agregation-info-text agregation-info-text-header">
 [[i18n "resource_identifier" bundle="languages/resource_resourcecontent" locale=this.lang]]
</p>
<mp-copy-to-clipboard message='[[i18n "item_saved" bundle="languages/resource_resourcecontent" locale=this.lang]]' text="[[this]]">
 <a class="agregation-edit-entity">
  <p class="agregation-info-text">
   [[this]]
   <i class="fa fa-clipboard">
   </i>
  </p>
 </a>
</mp-copy-to-clipboard>
</div>
<div class="agregation-buttons-container">
<add-resource-link-to-clipboard iri="[[this]]"></add-resource-link-to-clipboard>
<div data-flex-layout="row" style="padding-top: 20px; padding-bottom: 20px;">
  <semantic-link-container uri='[[resolvePrefix "rsp:ThinkingFrames"]]' urlqueryparam-resource="[[this]]" urlqueryparam-view="knowledge-map" target="_blank">
 <div class="agregation-button">
  <button class="rs-authoring-btn agregation-info-button-wrapper" title="[[i18n 'view_in' bundle='languages/resource_resourcecontent' locale=this.lang]]" type="button">
   <i class="rs-icon rs-icon-diagram agregation-info-button">
   </i>
   <span>
    [[i18n "view_in" bundle="languages/resource_resourcecontent" locale=this.lang]]
   </span>
  </button>
 </div>
  </semantic-link-container>
  <div class="agregation-button">
 <mp-anonymous-hidden>
  <add-to-clipboard-container iri="[[this]]">
  </add-to-clipboard-container>
 </mp-anonymous-hidden>
  </div>
</div>
</div>
</div>
[[/block]]
[[/inline]]
